Index: NEMO/branches/2019/dev_r11470_HPC_12_mpi3/doc/latex/NEMO/subfiles/chap_conservation.tex
===================================================================
--- NEMO/branches/2019/dev_r11470_HPC_12_mpi3/doc/latex/NEMO/subfiles/chap_conservation.tex	(revision 11496)
+++ NEMO/branches/2019/dev_r11470_HPC_12_mpi3/doc/latex/NEMO/subfiles/chap_conservation.tex	(revision 11799)
@@ -3,10 +3,25 @@
 \begin{document}
 
-% ================================================================
-% Invariant of the Equations
-% ================================================================
 \chapter{Invariants of the Primitive Equations}
-\label{chap:Invariant}
+\label{chap:CONS}
+
+\thispagestyle{plain}
+
 \chaptertoc
+
+\paragraph{Changes record} ~\\
+
+{\footnotesize
+  \begin{tabularx}{\textwidth}{l||X|X}
+    Release & Author(s) & Modifications \\
+    \hline
+    {\em   4.0} & {\em ...} & {\em ...} \\
+    {\em   3.6} & {\em ...} & {\em ...} \\
+    {\em   3.4} & {\em ...} & {\em ...} \\
+    {\em <=3.4} & {\em ...} & {\em ...}
+  \end{tabularx}
+}
+
+\clearpage
 
 The continuous equations of motion have many analytic properties.
@@ -41,9 +56,7 @@
 \citep{Marti1992?, Levy1996?, Levy1998?}.
 
-% -------------------------------------------------------------------------------------------------------------
-%       Conservation Properties on Ocean Dynamics
-% -------------------------------------------------------------------------------------------------------------
+%% =================================================================================================
 \section{Conservation properties on ocean dynamics}
-\label{sec:Invariant_dyn}
+\label{sec:CONS_Invariant_dyn}
 
 The non linear term of the momentum equations has been split into a vorticity term,
@@ -63,5 +76,5 @@
 The continuous formulation of the vorticity term satisfies following integral constraints:
 \[
-  % \label{eq:vor_vorticity}
+  % \label{eq:CONS_vor_vorticity}
   \int_D {{\textbf {k}}\cdot \frac{1}{e_3 }\nabla \times \left( {\varsigma
         \;{\mathrm {\mathbf k}}\times {\textbf {U}}_h } \right)\;dv} =0
@@ -69,5 +82,5 @@
 
 \[
-  % \label{eq:vor_enstrophy}
+  % \label{eq:CONS_vor_enstrophy}
   if\quad \chi =0\quad \quad \int\limits_D {\varsigma \;{\textbf{k}}\cdot
     \frac{1}{e_3 }\nabla \times \left( {\varsigma {\textbf{k}}\times {\textbf{U}}_h } \right)\;dv} =-\int\limits_D {\frac{1}{2}\varsigma ^2\,\chi \;dv}
@@ -76,5 +89,5 @@
 
 \[
-  % \label{eq:vor_energy}
+  % \label{eq:CONS_vor_energy}
   \int_D {{\textbf{U}}_h \times \left( {\varsigma \;{\textbf{k}}\times {\textbf{U}}_h } \right)\;dv} =0
 \]
@@ -88,5 +101,5 @@
 Using the symmetry or anti-symmetry properties of the operators (Eqs II.1.10 and 11),
 it can be shown that the scheme (II.2.11) satisfies (II.4.1b) but not (II.4.1c),
-while scheme (II.2.12) satisfies (II.4.1c) but not (II.4.1b) (see appendix C). 
+while scheme (II.2.12) satisfies (II.4.1c) but not (II.4.1b) (see appendix C).
 Note that the enstrophy conserving scheme on total vorticity has been chosen as the standard discrete form of
 the vorticity term.
@@ -102,12 +115,12 @@
 the horizontal gradient of horizontal kinetic energy:
 
-\begin{equation} \label{eq:keg_zad}
-\int_D {{\textbf{U}}_h \cdot \nabla _h \left( {1/2\;{\textbf{U}}_h ^2} \right)\;dv} =-\int_D {{\textbf{U}}_h \cdot \frac{w}{e_3 }\;\frac{\partial 
+\begin{equation} \label{eq:CONS_keg_zad}
+\int_D {{\textbf{U}}_h \cdot \nabla _h \left( {1/2\;{\textbf{U}}_h ^2} \right)\;dv} =-\int_D {{\textbf{U}}_h \cdot \frac{w}{e_3 }\;\frac{\partial
 {\textbf{U}}_h }{\partial k}\;dv}
 \end{equation}
 
 Using the discrete form given in {\S}II.2-a and the symmetry or anti-symmetry properties of
-the mean and difference operators, \autoref{eq:keg_zad} is demonstrated in the Appendix C.
-The main point here is that satisfying \autoref{eq:keg_zad} links the choice of the discrete forms of
+the mean and difference operators, \autoref{eq:CONS_keg_zad} is demonstrated in the Appendix C.
+The main point here is that satisfying \autoref{eq:CONS_keg_zad} links the choice of the discrete forms of
 the vertical advection and of the horizontal gradient of horizontal kinetic energy.
 Choosing one imposes the other.
@@ -127,5 +140,5 @@
 
 \[
-  % \label{eq:hpg_pe}
+  % \label{eq:CONS_hpg_pe}
   \int_D {-\frac{1}{\rho_o }\left. {\nabla p^h} \right|_z \cdot {\textbf {U}}_h \;dv} \;=\;\int_D {\nabla .\left( {\rho \,{\textbf{U}}} \right)\;g\;z\;\;dv}
 \]
@@ -133,5 +146,5 @@
 Using the discrete form given in {\S}~II.2-a and the symmetry or anti-symmetry properties of
 the mean and difference operators, (II.4.3) is demonstrated in the Appendix C.
-The main point here is that satisfying (II.4.3) strongly constraints the discrete expression of the depth of 
+The main point here is that satisfying (II.4.3) strongly constraints the discrete expression of the depth of
 $T$-points and of the term added to the pressure gradient in $s-$coordinates: the depth of a $T$-point, $z_T$,
 is defined as the sum the vertical scale factors at $w$-points starting from the surface.
@@ -145,8 +158,8 @@
 Nevertheless, the $\psi$-equation is solved numerically by an iterative solver (see {\S}~III.5),
 thus the property is only satisfied with the accuracy required on the solver.
-In addition, with the rigid-lid approximation, the change of horizontal kinetic energy due to the work of 
+In addition, with the rigid-lid approximation, the change of horizontal kinetic energy due to the work of
 surface pressure forces is exactly zero:
 \[
-  % \label{eq:spg}
+  % \label{eq:CONS_spg}
   \int_D {-\frac{1}{\rho_o }\nabla _h } \left( {p_s } \right)\cdot {\textbf{U}}_h \;dv=0
 \]
@@ -157,14 +170,12 @@
 otherwise there is no guarantee that the surface pressure force work vanishes.
 
-% -------------------------------------------------------------------------------------------------------------
-%       Conservation Properties on Ocean Thermodynamics
-% -------------------------------------------------------------------------------------------------------------
+%% =================================================================================================
 \section{Conservation properties on ocean thermodynamics}
-\label{sec:Invariant_tra}
+\label{sec:CONS_Invariant_tra}
 
 In continuous formulation, the advective terms of the tracer equations conserve the tracer content and
 the quadratic form of the tracer, \ie
 \[
-  % \label{eq:tra_tra2}
+  % \label{eq:CONS_tra_tra2}
   \int_D {\nabla .\left( {T\;{\textbf{U}}} \right)\;dv} =0
   \;\text{and}
@@ -176,11 +187,9 @@
 Note that in both continuous and discrete formulations, there is generally no strict conservation of mass,
 since the equation of state is non linear with respect to $T$ and $S$.
-In practice, the mass is conserved with a very good accuracy. 
-
-% -------------------------------------------------------------------------------------------------------------
-%       Conservation Properties on Momentum Physics
-% -------------------------------------------------------------------------------------------------------------
+In practice, the mass is conserved with a very good accuracy.
+
+%% =================================================================================================
 \subsection{Conservation properties on momentum physics}
-\label{subsec:Invariant_dyn_physics}
+\label{subsec:CONS_Invariant_dyn_physics}
 
 \textbf{* lateral momentum diffusion term}
@@ -188,5 +197,5 @@
 The continuous formulation of the horizontal diffusion of momentum satisfies the following integral constraints~:
 \[
-  % \label{eq:dynldf_dyn}
+  % \label{eq:CONS_dynldf_dyn}
   \int\limits_D {\frac{1}{e_3 }{\mathrm {\mathbf k}}\cdot \nabla \times \left[ {\nabla
         _h \left( {A^{lm}\;\chi } \right)-\nabla _h \times \left( {A^{lm}\;\zeta
@@ -195,5 +204,5 @@
 
 \[
-  % \label{eq:dynldf_div}
+  % \label{eq:CONS_dynldf_div}
   \int\limits_D {\nabla _h \cdot \left[ {\nabla _h \left( {A^{lm}\;\chi }
         \right)-\nabla _h \times \left( {A^{lm}\;\zeta \;{\mathrm {\mathbf k}}} \right)}
@@ -202,5 +211,5 @@
 
 \[
-  % \label{eq:dynldf_curl}
+  % \label{eq:CONS_dynldf_curl}
   \int_D {{\mathrm {\mathbf U}}_h \cdot \left[ {\nabla _h \left( {A^{lm}\;\chi }
         \right)-\nabla _h \times \left( {A^{lm}\;\zeta \;{\mathrm {\mathbf k}}} \right)}
@@ -209,5 +218,5 @@
 
 \[
-  % \label{eq:dynldf_curl2}
+  % \label{eq:CONS_dynldf_curl2}
   \mbox{if}\quad A^{lm}=cste\quad \quad \int_D {\zeta \;{\mathrm {\mathbf k}}\cdot
     \nabla \times \left[ {\nabla _h \left( {A^{lm}\;\chi } \right)-\nabla _h
@@ -217,10 +226,9 @@
 
 \[
-  % \label{eq:dynldf_div2}
+  % \label{eq:CONS_dynldf_div2}
   \mbox{if}\quad A^{lm}=cste\quad \quad \int_D {\chi \;\nabla _h \cdot \left[
       {\nabla _h \left( {A^{lm}\;\chi } \right)-\nabla _h \times \left(
           {A^{lm}\;\zeta \;{\mathrm {\mathbf k}}} \right)} \right]\;dv} \leqslant 0
 \]
-
 
 (II.4.6a) and (II.4.6b) means that the horizontal diffusion of momentum conserve both the potential vorticity and
@@ -250,5 +258,5 @@
 
 \[
-  % \label{eq:dynzdf_dyn}
+  % \label{eq:CONS_dynzdf_dyn}
   \begin{aligned}
     & \int_D {\frac{1}{e_3 }}  \frac{\partial }{\partial k}\left( \frac{A^{vm}}{e_3 }\frac{\partial {\textbf{U}}_h }{\partial k} \right) \;dv = \overrightarrow{\textbf{0}} \\
@@ -258,5 +266,5 @@
 conservation of vorticity, dissipation of enstrophy
 \[
-  % \label{eq:dynzdf_vor}
+  % \label{eq:CONS_dynzdf_vor}
   \begin{aligned}
     & \int_D {\frac{1}{e_3 }{\mathrm {\mathbf k}}\cdot \nabla \times \left( {\frac{1}{e_3
@@ -270,5 +278,5 @@
 conservation of horizontal divergence, dissipation of square of the horizontal divergence
 \[
-  % \label{eq:dynzdf_div}
+  % \label{eq:CONS_dynzdf_div}
   \begin{aligned}
     &\int_D {\nabla \cdot \left( {\frac{1}{e_3 }\frac{\partial }{\partial
@@ -285,9 +293,7 @@
 \ie\ the vertical momentum physics conserve momentum, potential vorticity, and horizontal divergence.
 
-% -------------------------------------------------------------------------------------------------------------
-%       Conservation Properties on Tracer Physics
-% -------------------------------------------------------------------------------------------------------------
+%% =================================================================================================
 \subsection{Conservation properties on tracer physics}
-\label{subsec:Invariant_tra_physics}
+\label{subsec:CONS_Invariant_tra_physics}
 
 The numerical schemes used for tracer subgridscale physics are written in such a way that
@@ -296,11 +302,11 @@
 the quadratic form of these quantities (\ie\ their variance) globally tends to diminish.
 As for the advective term, there is generally no strict conservation of mass even if,
-in practice, the mass is conserved with a very good accuracy. 
-
-\textbf{* lateral physics: }conservation of tracer, dissipation of tracer 
+in practice, the mass is conserved with a very good accuracy.
+
+\textbf{* lateral physics: }conservation of tracer, dissipation of tracer
 variance, i.e.
 
 \[
-  % \label{eq:traldf_t_t2}
+  % \label{eq:CONS_traldf_t_t2}
   \begin{aligned}
     &\int_D \nabla\, \cdot\, \left( A^{lT} \,\Re \,\nabla \,T \right)\;dv = 0 \\
@@ -312,5 +318,5 @@
 
 \[
-  % \label{eq:trazdf_t_t2}
+  % \label{eq:CONS_trazdf_t_t2}
   \begin{aligned}
     & \int_D \frac{1}{e_3 } \frac{\partial }{\partial k}\left( \frac{A^{vT}}{e_3 }  \frac{\partial T}{\partial k}  \right)\;dv = 0 \\
@@ -328,7 +334,5 @@
 It has not been implemented.
 
-\biblio
-
-\pindex
+\onlyinsubfile{\input{../../global/epilogue}}
 
 \end{document}