Index: utils/CI/sette/sette_reference-configurations.sh
===================================================================
--- utils/CI/sette/sette_reference-configurations.sh	(revision 11655)
+++ utils/CI/sette/sette_reference-configurations.sh	(revision 11800)
@@ -1234,44 +1234,44 @@
 
 ## Reproducibility tests
-    export TEST_NAME="REPRO_4_8"
-    cd ${MAIN_DIR}
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    set_valid_dir
-    clean_valid_dir
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"AGRIF_48\"
+    export TEST_NAME="REPRO_2_8"
+    cd ${MAIN_DIR}
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    set_valid_dir
+    clean_valid_dir
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=16
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 20
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg sn_cfctl%l_config .true.
-    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist 1_namelist_cfg cn_exp \"AGRIF_48\"
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg sn_cfctl%l_config .true.
+    set_namelist namelist_cfg sn_cfctl%l_runstat .true.
+    set_namelist 1_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 20
-    set_namelist 1_namelist_cfg jpni 4
+    set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 8
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist 2_namelist_cfg cn_exp \"AGRIF_48\"
+    set_namelist 2_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 2_namelist_cfg nn_it000 1
     set_namelist 2_namelist_cfg nn_itend 80
-    set_namelist 2_namelist_cfg jpni 4
+    set_namelist 2_namelist_cfg jpni 2
     set_namelist 2_namelist_cfg jpnj 8
     set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist 3_namelist_cfg cn_exp \"AGRIF_48\"
+    set_namelist 3_namelist_cfg cn_exp \"AGRIF_28\"
     set_namelist 3_namelist_cfg nn_it000 1
     set_namelist 3_namelist_cfg nn_itend 240
-    set_namelist 3_namelist_cfg jpni 4
+    set_namelist 3_namelist_cfg jpni 2
     set_namelist 3_namelist_cfg jpnj 8
     set_namelist 3_namelist_cfg ln_ctl .false.
@@ -1290,32 +1290,32 @@
 
     cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_8_4"
-    . ./prepare_exe_dir.sh
-    set_valid_dir
-    clean_valid_dir
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=32
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg cn_exp \"AGRIF_84\"
+    export TEST_NAME="REPRO_4_4"
+    . ./prepare_exe_dir.sh
+    set_valid_dir
+    clean_valid_dir
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=16
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 20
-    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist 1_namelist_cfg cn_exp \"AGRIF_84\"
+    set_namelist 1_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 20
-    set_namelist 1_namelist_cfg jpni 8
+    set_namelist 1_namelist_cfg jpni 4
     set_namelist 1_namelist_cfg jpnj 4
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist 2_namelist_cfg cn_exp \"AGRIF_84\"
+    set_namelist 2_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 2_namelist_cfg nn_it000 1
     set_namelist 2_namelist_cfg nn_itend 80
-    set_namelist 2_namelist_cfg jpni 8
+    set_namelist 2_namelist_cfg jpni 4
     set_namelist 2_namelist_cfg jpnj 4
     set_namelist 2_namelist_cfg ln_ctl .false.
@@ -1325,5 +1325,5 @@
     set_namelist 3_namelist_cfg nn_it000 1
     set_namelist 3_namelist_cfg nn_itend 240
-    set_namelist 3_namelist_cfg jpni 8
+    set_namelist 3_namelist_cfg jpni 4
     set_namelist 3_namelist_cfg jpnj 4
     set_namelist 3_namelist_cfg ln_ctl .false.